// /////////////////////////////////////////////////////////////////////////////
//  RDAKPreferencesControllerKeys.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
// Contains the keys used in preference pane dictionaries.
//
// /////////////////////////////////////////////////////////////////////////////
//
#define RDAK_PANE_KEY_OWNER @"owner"
#define RDAK_PANE_KEY_BUNDLE @"bundle"
#define RDAK_PANE_KEY_NAME @"name"
#define RDAK_PANE_KEY_ICON @"icon"
#define RDAK_PANE_KEY_IDENTIFIER @"identifier"
#define RDAK_PANE_KEY_SIZE @"size"
#define RDAK_PANE_KEY_MAINVIEW @"mainview"
#define RDAK_PANE_KEY_RESIZABLE @"resizable"
#define RDAK_PANE_KEY_WINDOW @"window"
#define RDAK_PANE_KEY_MAXHEIGHT @"maxHeight"
#define RDAK_PANE_KEY_MAXWIDTH @"maxWidth"
