// /////////////////////////////////////////////////////////////////////////////
//  RDAKToolbarControllerKeys.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
// Contains the keys used in toolbar dictionaries.
//
// /////////////////////////////////////////////////////////////////////////////
//
#define RDAK_TOOLBAR_KEY_ACTION @"action"
#define RDAK_TOOLBAR_KEY_LABEL @"label"
#define RDAK_TOOLBAR_KEY_PALETTELABEL @"paletteLabel"
#define RDAK_TOOLBAR_KEY_TOOLTIP @"toolTip"
#define RDAK_TOOLBAR_KEY_IMAGE @"image"
#define RDAK_TOOLBAR_KEY_IMAGEBUNDLE @"imageBundle"
#define RDAK_TOOLBAR_KEY_IMAGENAME @"imageName"

#define RDAK_TOOLBAR_KEY_BYIDENTIFIER @"itemInfoByIdentifier"
#define RDAK_TOOLBAR_KEY_SELECTABLEIDENTIFIERS @"selectableItemIdentifiers"
#define RDAK_TOOLBAR_KEY_DEFAULT_IDENTIFIERS @"defaultItemIdentifiers"
#define RDAK_TOOLBAR_KEY_ALLOWED_IDENTIFIERS @"allowedItemIdentifiers"